
# Class: ChangedSurface

## Hierarchy

* **ChangedSurface**

## Index

### Constructors

* [constructor](changedsurface.md#constructor)

### Properties

* [all](changedsurface.md#all)
* [definition](changedsurface.md#definition)
* [surfaceIndex](changedsurface.md#surfaceindex)

## Constructors

###  constructor

\+ **new ChangedSurface**(`definition`: any, `surfaceIndex`: any, `all`: any): *[ChangedSurface](changedsurface.md)*

**Parameters:**

Name | Type |
------ | ------ |
`definition` | any |
`surfaceIndex` | any |
`all` | any |

**Returns:** *[ChangedSurface](changedsurface.md)*

## Properties

###  all

• **all**: *[IDesignEditorDefinitionChangeLayout](../interfaces/idesigneditordefinitionchangelayout.md)*

___

###  definition

• **definition**: *any*

___

###  surfaceIndex

• **surfaceIndex**: *number*
